Remove BKL reliance in encode_caps_cb
Description

This looks like it will require extending our pagelist API.

History

#1 - 09/16/2010 12:24 PM - Greg Farnum

- Status changed from New to 4

It hasn't been extensively tested but it doesn't break normal reconnect, at least. Waiting for Sage to take a look at it before packaging it up for

upstream.

#2 - 09/17/2010 11:59 AM - Sage Weil

- Assignee changed from Greg Farnum to Sage Weil

Now in unstable branch.

Need to rebase all of unstable, push it into linux-next, and then send this to Arnd.

#3 - 09/18/2010 02:11 PM - Sage Weil

Actually I should check if git merge is smart enough to handle the pagelist rename queued for linux-next.  If so, we can send Arnd the patches based

on current upstream and not worry about the merge order.  If not, it's annoying..

#4 - 09/19/2010 07:54 PM - Sage Weil

Greg, can you also write a quick test for the pagelist stuff?  Maybe something along the lines of

x = rand() % 100000;

append to pagelist

for (i=0 to 1000) {

   set cursor

   y = rand() % 100000;

   append y bytes

   truncate

}

 

I'm worried just because I fixed a few bugs looking at it yesterday with the kmap/kunmap, and the code path will be so so rarely executed any errors

won't come up in our normal testing.
#5 - 09/19/2010 08:23 PM - Greg Farnum

- Assignee changed from Sage Weil to Greg Farnum

#6 - 09/21/2010 01:11 PM - Greg Farnum

- Status changed from 4 to Resolved
